Bug 91573 - infodir and mandir are incorrect in macros file
infodir and mandir are incorrect in macros file
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-24 13:45 EDT by Need Real Name
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-27 14:03:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to macros file. (482 bytes, patch)
2003-05-24 13:52 EDT, Need Real Name
no flags Details | Diff

  None (edit)
Description Need Real Name 2003-05-24 13:45:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
The %_mandir and %_infodir macros are incorrect in relation to where the  
distribution RPMs install their files.

Version-Release number of selected component (if applicable):
rpm-4.2-0.69

How reproducible:
Always

Steps to Reproduce:
1. egrep "infodir|mandir" /usr/lib/rpm/macros
2. ls -lR /usr/man/ /usr/info
    

Actual Results:  No distribution-created files get installed in these
directories, but packages built using this version of the macros file get
installed in those directories.

Expected Results:  The macros file should build RPMS that are the same as those
included with the distribution.

Additional info:

Here is a patch that fixes the macros file:
--- /usr/lib/rpm/macros~        2003-02-27 16:24:02.000000000 -0500
+++ /usr/lib/rpm/macros 2003-05-24 13:16:09.000000000 -0400
@@ -908,8 +908,8 @@
 %_libdir               %{_exec_prefix}/%{_lib}
 %_includedir           %{_prefix}/include
 %_oldincludedir                /usr/include
-%_infodir              %{_prefix}/info
-%_mandir               %{_prefix}/man
+%_infodir              %{_prefix}/share/info
+%_mandir               %{_prefix}/share/man
  
 #==============================================================================
 # ---- config.guess platform macros.
Comment 1 Need Real Name 2003-05-24 13:52:45 EDT
Created attachment 91941 [details]
Patch to macros file.

The same patch that is in the bug description, my bad for placing it there as
well.
Comment 2 Miloslav Trmac 2003-05-26 06:43:50 EDT
To get the RHL setup, you can install redhat-rpm-config.
Whether the RPM default should violate FHS is a different question.
Comment 3 Jeff Johnson 2003-05-27 14:03:46 EDT
The file /usr/lib/rpm/macros follows autoconf conventions
as closely as possible.

The linux (and FHS) specific values you are expecting
are already overridden in per-platform configuration.

Note You need to log in before you can comment on or make changes to this bug.